class HrasController < ApplicationController
  def index
    @hras = Hra.all
  end
  
  def show
    @hra = Hra.find(params[:id])
  end
  
  def new
    @hra = Hra.new
  end
  
  def create
    @hra = Hra.new(params[:hra])
    if @hra.save
      flash[:notice] = "Successfully created hra."
      redirect_to @hra
    else
      render :action => 'new'
    end
  end
  
  def edit
    @hra = Hra.find(params[:id])
  end
  
  def update
    @hra = Hra.find(params[:id])
    if @hra.update_attributes(params[:hra])
      flash[:notice] = "Successfully updated hra."
      redirect_to @hra
    else
      render :action => 'edit'
    end
  end
  
  def destroy
    @hra = Hra.find(params[:id])
    @hra.destroy
    flash[:notice] = "Successfully destroyed hra."
    redirect_to hras_url
  end
end
